<?php 
include('./config/db.php');
include('funciones.php');
//$clienteId=(isset($_GET['clienteId']))?$_GET['clienteId']:"";
//$valor=(isset($_GET['valor']))?$_GET['valor']:"";

$txtFechaInicio=(isset($_POST['txtFechaInicio']))?$_POST['txtFechaInicio']:"";
$txtFechaTermino=(isset($_POST['txtFechaTermino']))?$_POST['txtFechaTermino']:"";
$valor=(isset($_POST['valor']))?$_POST['valor']:"";
$chkMes=[];
    try{
        if($valor > 0){
            $sql=$conexion->prepare("SELECT * FROM planfechas where planId=:id;");   
            $sql->bindParam(":id",$valor);
            $sql->execute();
            $listaFechas= $sql->fetchAll(PDO::FETCH_ASSOC);
            foreach($listaFechas as $fechas){
                $concatenar = $fechas['mes']."_".$fechas['annio'];
                array_push($chkMes, $concatenar);
            }

        }
        $txtFechaInicio = new DateTime($txtFechaInicio); 
        $txtFechaTermino = new DateTime($txtFechaTermino);
        $intervalo = DateInterval::createFromDateString('1 month');
        $periodo = new DatePeriod($txtFechaInicio, $intervalo, $txtFechaTermino);
        $cadena="<table class='table table-responsive table-hover'> <tbody>";
        foreach ($periodo as $dt) {
            $cadena=$cadena."<tr><td>";
            $format = intval($dt->format("m")) . "_" .$dt->format("Y");
            if($chkMes != ""){
                if (in_array($format, $chkMes)) {
                    $Selected =  "checked";
                }else{
                    $Selected =  "";
                }
            }
            $cadena=$cadena."<input class='form-check-input' type='checkbox' ". $Selected ." value='".$dt->format("m"). "_" .$dt->format("Y") ."'";
            $cadena=$cadena."name='chkMes[]' id='chkMes[]'>";
            $cadena=$cadena."</td><td> " .imprimeMes($dt->format("m")) . " del " .$dt->format("Y") ." </td> </tr>";
        }
        $cadena=$cadena."</tbody></table>";
        echo  $cadena;
    }catch (Exception $err) {
        echo ("Ha ocurrido un error en la solicitud. ");  
        throw $err;
    }
?>